/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.service.foliado.impl;

import es.mpt.dsic.inside.model.objetos.expediente.metadatos.ObjetoExpedienteInsideMetadatos;
import es.mpt.dsic.inside.model.objetos.foliado.FoliadoInside;
import es.mpt.dsic.inside.model.objetos.foliado.FoliadoNodo;
import es.mpt.dsic.inside.service.foliado.InsideServiceFoliado;
import es.mpt.dsic.inside.service.foliado.exception.InsideServiceFoliadoException;

/**
 * Implementación del Foliado que realmente no hace nada !
 *
 */
public class InsideServiceFoliadoMockImpl implements InsideServiceFoliado {

	@Override
	public FoliadoInside foliar(String identificador,ObjetoExpedienteInsideMetadatos metadatos, FoliadoNodo foliadoNodo)
			throws InsideServiceFoliadoException {
		FoliadoInside foliadoInside = new FoliadoInside ();
		foliadoInside.setContenido("Foliado Test".getBytes());
		foliadoInside.setMime("text/plain");
		return foliadoInside;
	}

}
