/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.ws.service.impl;

import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.ParameterStyle;
import javax.jws.soap.SOAPBinding.Style;
import javax.jws.soap.SOAPBinding.Use;
import javax.xml.bind.annotation.XmlElement;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.annotation.Secured;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Service;

import es.mpt.dsic.inside.ws.exception.InsideWSException;
import es.mpt.dsic.inside.ws.exception.InsideWsErrors;
import es.mpt.dsic.inside.ws.service.InsideTestService;
import es.mpt.dsic.inside.xml.inside.ws.credential.WSCredentialInside;

@Service("insideTestService")
@WebService(endpointInterface = "es.mpt.dsic.inside.ws.service.InsideTestService")
@SOAPBinding(style=Style.RPC,parameterStyle=ParameterStyle.BARE,use=Use.LITERAL)
public class InsideTestServiceImpl implements InsideTestService {

	protected final static Log logger = LogFactory.getLog(InsideTestServiceImpl.class);
	
	public String comprobarAplicacion(WSCredentialInside info, String mensaje)  throws InsideWSException {
		return "hola";
	}

	/*@Autowired(required=false)
	private AplicacionContext aplicacionContext;

	@Override
	@Secured("ROLE_TRAMITAR")
	public String comprobarAplicacion(WSCredentialInside info, String mensaje) throws InsideWSException{
		try{

			AppInfo appInfo = aplicacionContext.getAplicacionInfo();
			logger.debug(appInfo.toString());
			//estado.setCodigo("0");
			//DigestUtils.md5DigestAsHex(info.getPassword().getBytes()
			InSideUserDetails user=(InSideUserDetails)SecurityContextHolder.getContext().getAuthentication().getPrincipal();
			//estado.setDescripcion("Recibido-tres: " + info.toString() + "\nMensaje de prueba: " + mensaje + "- AppInfo: " + appInfo.toString() + "appInfoDesdeSecurity: " + user.getAppInfo().toString());


			return "Hola majo, el usuario que has usado es " + user.getUsername();
		}catch(Throwable ex)
		{
			logger.error(ex);
			throw new InsideWSException(InsideWsErrors.INTERNAL_SERVICE_ERROR,ex);
		}
	}*/

}
